Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class JposDevCats

    java.lang.Object
      |
      +--jpos.profile.JposDevCats

public class JposDevCats
extends java.lang.Object

Defines an interface for JavaPOS device categories

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`static class` | `JposDevCats.AbstractDevCat` Defines the super class for all DevCat
`static class` | `JposDevCats.BumpBar` Defines the DevCat for BumpBar
`static class` | `JposDevCats.CashDrawer` Defines the DevCat for CashDrawer
`static class` | `JposDevCats.CAT` Defines the DevCat for CAT
`static class` | `JposDevCats.CoinDispenser` Defines the DevCat for CoinDispenser
`static class` | `JposDevCats.FiscalPrinter` Defines the DevCat for FiscalPrinter
`static class` | `JposDevCats.HardTotals` Defines the DevCat for HardTotals
`static class` | `JposDevCats.Keylock` Defines the DevCat for Keylock
`static class` | `JposDevCats.LineDisplay` Defines the DevCat for LineDisplay
`static class` | `JposDevCats.MICR` Defines the DevCat for MICR
`static class` | `JposDevCats.MSR` Defines the DevCat for MSR
`static class` | `JposDevCats.Pinpad` Defines the DevCat for Pinpad
`static class` | `JposDevCats.POSKeyboard` Defines the DevCat for POSKeyboard
`static class` | `JposDevCats.POSPower` Defines the DevCat for POSPower
`static class` | `JposDevCats.POSPrinter` Defines the DevCat for POSPrinter
`static class` | `JposDevCats.RemoteOrderDisplay` Defines the DevCat for RemoteOrderDisplay
`static class` | `JposDevCats.Scanner` Defines the DevCat for Scanner
`static class` | `JposDevCats.SignatureCapture` Defines the DevCat for SignatureCapture
`static class` | `JposDevCats.ToneIndicator` Defines the DevCat for ToneIndicator
`static class` | `JposDevCats.Unknown` Defines an Unknown DevCat

Field Summary
`static DevCat` | `BUMPBAR_DEVCAT`
`static DevCat` | `CASHDRAWER_DEVCAT`
`static DevCat` | `CAT_DEVCAT`
`static DevCat` | `COINDISPENSER_DEVCAT`
`static DevCat[]` | `DEVCAT_ARRAY` An array of all of the JavaPOS DevCat
`static DevCat` | `FISCALPRINTER_DEVCAT`
`static DevCat` | `HARDTOTALS_DEVCAT`
`static DevCat` | `KEYLOCK_DEVCAT`
`static DevCat` | `LINEDISPLAY_DEVCAT`
`static DevCat` | `MICR_DEVCAT`
`static DevCat` | `MSR_DEVCAT`
`static DevCat` | `PINPAD_DEVCAT`
`static DevCat` | `POSKEYBOARD_DEVCAT`
`static DevCat` | `POSPOWER_DEVCAT`
`static DevCat` | `POSPRINTER_DEVCAT`
`static DevCat` | `REMOTEORDERDISPLAY_DEVCAT`
`static DevCat` | `SCANNER_DEVCAT`
`static DevCat` | `SIGNATURECAPTURE_DEVCAT`
`static DevCat` | `TONEINDICATOR_DEVCAT`
`static DevCat` | `UNKNOWN_DEVCAT`

Constructor Summary
`JposDevCats()`

Method Summary
`(package private) static void` | `()`
`static DevCat` | `getDevCatForName(java.lang.String devCatName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_DEVCAT

    public static final DevCat UNKNOWN_DEVCAT

### BUMPBAR_DEVCAT

    public static final DevCat BUMPBAR_DEVCAT

### CASHDRAWER_DEVCAT

    public static final DevCat CASHDRAWER_DEVCAT

### CAT_DEVCAT

    public static final DevCat CAT_DEVCAT

### COINDISPENSER_DEVCAT

    public static final DevCat COINDISPENSER_DEVCAT

### FISCALPRINTER_DEVCAT

    public static final DevCat FISCALPRINTER_DEVCAT

### HARDTOTALS_DEVCAT

    public static final DevCat HARDTOTALS_DEVCAT

### KEYLOCK_DEVCAT

    public static final DevCat KEYLOCK_DEVCAT

### LINEDISPLAY_DEVCAT

    public static final DevCat LINEDISPLAY_DEVCAT

### MICR_DEVCAT

    public static final DevCat MICR_DEVCAT

### MSR_DEVCAT

    public static final DevCat MSR_DEVCAT

### PINPAD_DEVCAT

    public static final DevCat PINPAD_DEVCAT

### POSKEYBOARD_DEVCAT

    public static final DevCat POSKEYBOARD_DEVCAT

### POSPOWER_DEVCAT

    public static final DevCat POSPOWER_DEVCAT

### POSPRINTER_DEVCAT

    public static final DevCat POSPRINTER_DEVCAT

### REMOTEORDERDISPLAY_DEVCAT

    public static final DevCat REMOTEORDERDISPLAY_DEVCAT

### SCANNER_DEVCAT

    public static final DevCat SCANNER_DEVCAT

### SIGNATURECAPTURE_DEVCAT

    public static final DevCat SIGNATURECAPTURE_DEVCAT

### TONEINDICATOR_DEVCAT

    public static final DevCat TONEINDICATOR_DEVCAT

### DEVCAT_ARRAY

    public static final DevCat[] DEVCAT_ARRAY

  An array of all of the JavaPOS DevCat

Constructor Detail

### JposDevCats

    public JposDevCats()

Method Detail

###

    static void ()

### getDevCatForName

    public static DevCat getDevCatForName(java.lang.String devCatName)

  Parameters:
    `devCatString` - the String name for this DevCat
  Returns:
    the DevCat for the String name passed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details